alter table "CartaoCredito" add column "EhDeSistema" BOOLEAN;
alter table "ContaCorrente" add column "EhDeSistema" BOOLEAN;
alter table "Aplicacao" add column "EhDeSistema" BOOLEAN;
alter table "Banco" add column "EhDeSistema" BOOLEAN;
alter table "Entidade" add column "EhDeSistema" BOOLEAN;

update "CartaoCredito" set "EhDeSistema"=false;
update "ContaCorrente" set "EhDeSistema"=false;
update "Aplicacao" set "EhDeSistema"=false;
update "Banco" set "EhDeSistema"=false;
update "Entidade" set "EhDeSistema"=false;

insert into "Banco" ("Codigo","Nome","EhDeSistema") Values('0000','Banco do sistema',true);
insert into "Entidade" ("Nome","EhDeSistema") Values('Entidade do sistema',true);

insert into "CartaoCredito" (
			"Operadora", "Banco", "NumeroCartao",
			"DataAbertura",	"DataFechamento", "Limite",
			"DataValidade", "DataFechaFatura", "DataPagamento",
			"JurosRotativo", "JurosFinanciamento", "Descricao",
			"TipoConta", "EhDeSistema")
				Values(
				select "Id" from "Entidade" where ("EhDeSistema" = true), select "Id" from "Banco" where ("EhDeSistema" = true), '00000000',
				'2005-10-09', '2005-10-09', 0.0,
				'2005-10-09', 1, 1,
				0.0, 0.0, 'cartao do sistema',
				select "Id" from "TipoDeConta" where ( "Nome" like '%cartaoCredito%'), true);

insert into "Aplicacao" (
			"TipoRendimento", "ValorMinimoMovimentacao", "NumeroAgencia",
			"Banco", "TipoConta", "NumeroConta",
			"Descricao", "DataAbertura", "DataFechamento",
			"EhDeSistema") 
				Values(
				-1, 0.0, '00000',
				select "Id" from "Banco" where ("EhDeSistema" = true), select "Id" from "TipoDeConta" where ( "Nome" like '%aplicacao%'), '00000000',
				'Aplicacao do sistema', '2005-10-09', NULL,
				true);

insert into "ContaCorrente" (
			"NumeroAgencia", "Banco", "TipoConta",
			"NumeroConta", "Descricao", "DataAbertura",
			"DataFechamento", "EhDeSistema") 
				Values(
				'00000', select "Id" from "Banco" where ("EhDeSistema" = true), select "Id" from "TipoDeConta" where ( "Nome" like '%contaCorrente%'),
				'00000000', 'Conta do sistema', '2005-10-09',
				NULL, true);